Subject: Locating merge that dropped a change

From: Kevin Bracey <[email-masked]>
Date: Tue, 09 Apr 2013 21:00:41 +0300

This morning, I was struggling (not for the first time) to produce a Git 
command that would identify a merge commit that dropped a change. I 
could see where it was added, but couldn't automate finding out why it 
wasn't any longer in HEAD.

All the permutations of "--full-history", "-m", "-S", "-G" on "git log" 
I could think of did not get me anywhere. As long as I had 
"--full-history", they could find the original commit that had added the 
change, but not the merge commit that had dropped it by taking the other 
parent.

So, how to automatically find a merge that ignored a known change?

And then for visualisation purposes, how do you persuade gitk's diff 
display to actually show that that merge commit removed the change from 
one of its parents? Again, "-m" didn't seem to work.

Help appreciated!

Kevin